function onTalk()
    disableMovement()
    say("MAP_END_TELEPORT_BACK")
    choiceDialog({
        {
            "MAP_END_TELEPORT_BACK_ANSWER1",
            onChosen=function()
                local location=arguments.current_location
                if location=="A_SWAMP_4" then
                    teleportTo(9854,155,"A_SWAMP_1","WakeUp")
                elseif location=="A_WIND2" then
                    teleportTo(3288,-1173,"A_SIDE_WIND_TRANSITION","WakeUp")
                elseif location=="A_TOWER_1" then
                    teleportTo(4980,-1621,"A_ISLAND_4","WakeUp")
                elseif location=="A_CITY_UPPER_BOSS" then
                    teleportTo(-8215,-2215,"A_CITY_UPPER7","WakeUp")
                elseif location=="A_SIDE_BOSSPATH_4" then
                    teleportTo(597,126,"A_SIDE0","WakeUp")
                end
            end
        },
        {
            "MAP_END_TELEPORT_BACK_ANSWER2",
            onChosen=function ()
                closeChoiceDialog()
            end
        }

    }
    )
    enableMovement()
end
function onEnd()
    enableMovement()
end